Plugin hkPHPBeautifyHelper does not work.

  • Advertisement ( why? )
     

    feng, 16th May 2012 12:18 am

    Hello,

    I tried to install the plugin, but when I go on channel two to activate the system tell me: you can not find the executable php.exe! Then I said: you can not recall the action of the executable doStyle! What am I doing wrong ?

    version Html kit tools 20120416.

    Thank's Feng !

    • HTML-Kit Support, 16th May 2012 10:37 am

      On 5/16/2012 12:18 AM, feng wrote:
      >

      Hello,

      I tried to install the plugin, but when I go on channel two to
      activate the system tell me: you can not find the executable php.exe!
      Then I said: you can not recall the action of the executable doStyle!
      What am I doing wrong ?

      version Html kit tools 20120416.

      Thank's Feng !

      Hi Feng,

      hkPHPBeautifyHelper plugin is written in PHP and so requires a local
      installation of PHP.

      http://www.htmlkit.com/go/info/tools/how-to-install-php

      If you already have PHP and the plugin still isn't working, you can open
      a Command Prompt window and type this to see if it's listed in the PATH

      php.exe -V

      Hope this helps. Let me know if this doesn't work.

      Chami

      • feng, 17th May 2012 12:21 am

        Hello Chami,
        I did the test I have proposed and I have PHP installed on your local computer. Using Windows 7.
        I wanted to ask: I have on my computer the package xampplite: I use PHP on the local server I have I'm forced to install php on local?

        I'm sorry but I am a layman!

        Thank you!

        • HTML-Kit Support, 17th May 2012 7:59 am

          On 5/17/2012 12:21 AM, feng wrote:

          Hello Chami,
          I did the test I have proposed and I have PHP installed on your
          local computer. Using Windows 7.
          I wanted to ask: I have on my computer the package xampplite: I use
          PHP on the local server I have I'm forced to install php on local?

          I'm sorry but I am a layman!

          Thank you!

          Only a very few HTML-Kit plugins are written in PHP, so you don't need a
          local installation of PHP to use them.

          If you need this particular plugin (hkPHPBeautifyHelper) though, it does
          require installing PHP on the computer that you have HTML-Kit. If you
          already have PHP through xampp, that should work fine. You don't have to
          install PHP again.

          Please try the PHP path check again with the following commands, but
          make sure that you're opening a regular Command Prompt from "Start >
          Programs > Accessories."

           C:
           cd C:\
           php.exe -V
          

          If you get the version number, reopen HTML-Kit Tools and try the plugin
          again.

          Let me know if this doesn't work.

          Chami

          • feng, 17th May 2012 10:39 pm

            I performed your instructions: I opened a DOS prompt and typed:

            "CD: > php.exe-V"

            The system responds that it does not recognize the command!

            I tried, always prompt the DOD, to go into the directory "xampplite" and then in the subdirectory "PHP" in the former, I always unrecognized command in the second case is only the blinking cursor without path "C: > .... "

            At this point perhaps I should install it.

            Let me know what I suggest and thanks!

            • bill, 18th May 2012 9:00 am

              On 5/17/2012 11:39 PM, feng wrote:

              I performed your instructions: I opened a DOS prompt and typed:

              "CD: > php.exe-V"

              The system responds that it does not recognize the command!

              I tried, always prompt the DOD, to go into the directory "xampplite" and then in the subdirectory "PHP" in the former, I always unrecognized command in the second case is only the blinking cursor without path "C: > .... "

              At this point perhaps I should install it.

              Let me know what I suggest and thanks!
              you need a space between .exe and -v
              bill